A-A+

无畏的探索:LMDE 201303 配置全记录

2014年02月17日 软件技巧 评论 18 条 阅读 9,464 views 次

去年 3 月,Linux Mint 官方就已经发布了 LMDE 201303(Linux Mint Debian Edition)。对于这个基于 Debian 的半滚动更新版,薄荷开源网小编一直是又爱又恨。爱之兼具 Debian 的稳定性和 Mint 的易用性,恨之缺乏合适软件源和实用资料。

此番,抱着折腾不休的信念,不惧失败,愣是把 LMDE 201303 重装了三次,解决了之前一直困扰的问题,并且更新修正了之前的一些认识。

一、软件源,还是软件源!
之前在使用 LMDE 201204 过程中,小编参阅了一些国内爱好者的资料,建议使用网易的软件源,参阅《为滚动更新的LMDE设置163软件源》一文。但此番在阅读、分析了一些 Linux Mint 官方及外文资料后,觉得有必要修正一下对 LMDE 软件源的认识。
与 Linux Mint 主版类似,LMDE 的软件源也是分为两个部分:负责 Linux Mint 特色部分的主力源和基于 Debian Testing 的基础源。默认的官方源如下:

deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free

其中第一行就是主力源,后三行就是基础源。目前国内只有中科大为 LMDE 提供了主力源,但暂时没有任何国内的基础源,包括以前还曾提供支持的台湾 NCHC 基础源都已经移除了。

很多朋友有一个误区:那就直接使用网易、搜狐等速度较好的 Debian 源作为 LMDE 的基础源!
小编也乐于如此,但实践证明,这样做很容易导致 LMDE 更新之后崩溃。因为 LMDE 基于 Debian Testing(测试版),在此 Debian 测试版尚未成为正式版前,与 LMDE 是对应的;在成为正式版后,其新出的 Debian 测试版与 LMDE 就不一样了,这时候仍使用 Debian 测试版的源已是相去甚远了,当然会导致 LMDE 崩溃。

而且,LMDE 的基础源与 Debian 测试版的源是有区别的,LMDE 基础源稍微滞后。经多次对比 LMDE 基础源和 Debian 测试版源,小编个人认为,也正是基于这个原因,Linux Mint 要另外为 LMDE 设置基础源。否则大可以像 Linux Mint 主版直接采用 Ubuntu 的源那样,直接采用 Debian 源。

因此,务实之计乃是把 LMDE 主力源修改为唯一的国内源--中科大,把 LMDE 基础源修改为稍微快一点的国外源。没办法,矬子里面拔将军。小编实测,使用中科大 ustc + 日本 jaist 的组合较好:

deb http://mirrors.ustc.edu.cn/linuxmint/ debian main upstream import
deb http://ftp.jaist.ac.jp/pub/Linux/linuxmint/debian/latest testing main contrib non-free
deb http://ftp.jaist.ac.jp/pub/Linux/linuxmint/debian/latest/multimedia testing main non-free
deb http://ftp.jaist.ac.jp/pub/Linux/linuxmint/debian/latest/security testing/updates main contrib non-free

二、苦逼的系统更新
修改软件源后,不要立刻就打开“更新管理器”进行系统更新!千万不要!
否则在你苦等几个小时下载完毕后开始更新时,铁定会更新失败,并且导致无法进入桌面!
由于 LMDE 201303 发布之后还有一个 Update Pack 7,而目前最新的是 Update Pack 8。直接升级会导致软件包混乱,进而系统错误。LMDE 有一个软件专门负责协调不同版本的软件包和依赖关系:debian-system-adjustments。因此我们先更新这位“管家”,才能正确地统筹好更新包之间的关系,确保更新成功:(仅就 LMDE Cinnamon 版而言,MATE 版无此问题)

sudo apt-get update
sudo apt-get insdtall debian-system-adjustments

三、轻妆上阵
轻妆上阵=妆点+轻装上阵。
LMDE 201303 更新后内核升级为 3.11.0,之前的 3.2.0 旧内核可以删除了,继续折腾者可以升级到最新的 3.13.0 内核,参阅《LinuxMint/Ubuntu 升级到 Linux 3.13 内核》一文。

LMDE 201303 更新后,启动 splash 变为 Linux Mint 16 样的淡入式大 LOGO,反而不如经典的“五点式 LOGO”好看。如果与小编同感不美观,不妨自行安装一个,参阅《为LMDE设置启动Splash画面》一文。

四、中文化与字体
小编之前在旧文《LMDE不完全配置手册》中即已给出了 LMDE 中文化的方案,亲自折腾出来的“成果”帮到了有需要的朋友,颇感欣慰。此番,LMDE 201303 的中文化和字体美化,仍是源自小编的亲自折腾。
在终端中使用如下命令,安装相关软件包,即可实现 Firefox、LibreOffice、Thunderbird、GIMP 等常用软件的中文化。

sudo apt-get install fonts-arphic-uming poppler-data fonts-arphic-ukai ttf-wqy-zenhei xfonts-wqy firefox-l10n-zh libreoffice-l10n-zh-cn libreoffice-help-zh-cn thunderbird-l10n-zh

中文化之后,重启或注销系统,会发现中文字体发虚,与之前很多版本同样的问题。在安装了 WPS 或者添加了 Windows 字体后,系统的字体也会变丑。小编欲借用老经验,修改或链接
 69-language-selector-zh-cn.conf 文件,却发现 LMDE 201303 没有这个文件。决定新建一个字体配置文件 /etc/fonts/local.conf,其内容为之前已修改好、适用于 Linux Mint/Ubuntu 的配置文件:69-language-selector-zh-cn.conf(坚果云下载

也可以使用 Linux Mint 13 的字体配置文件:坚果云下载

sudo gedit /etc/fonts/local.conf


修改之后,重启或注销即可发现中文字体不发虚了,不必另行使用其他非开源字体,效果也很满意。

五、PPA 安装 fcitx 输入法
PPA 本是 Ubuntu 的产物,对于基于 Debian 的 LMDE 而言不适用。但很多实用的、好用的、新版的软件都是以 PPA 形式发布的。之前,《LMDE也用PPA安装lwqq插件》一文也介绍了在 LMDE 下如何安装 PPA 的 Pigdin-lwqq 插件。同理,我们也可以用这个方法安装 fcitx 和搜狗拼音输入法。为了方便新手朋友,小编就再次实操一遍。
1.打开 fcitx 的 PPA 页面,展开 PPA 细节,复制签名密钥和源地址,如图红框所示。

2.添加刚才复制的源地址到软件源配置文件/etc/apt/sources.list。对于对应的 Ubuntu 版本,由于更新后的 LMDE 2013 内核和大多数组件都和 Linux Mint 16 相同,所以,小编将其对应 saucy 这个版本(Ubuntu 13.10)

deb http://ppa.launchpad.net/fcitx-team/nightly/ubuntu saucy main
deb-src http://ppa.launchpad.net/fcitx-team/nightly/ubuntu saucy main

3.下载并导入签名密钥,更新软件源缓存

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7E5FA1EE

4.安装 fcitx 及相关组件

sudo apt-get update
sudo apt-get install fcitx fcitx-sogoupinyin fcitx-table-wubi-large fcitx-ui-classic fcitx-frontend-gtk3 fcitx-config-gtk

5.重启或注销之后,即可使用 fcitx 输入法

经过上述配置,LMDE 201303 已经很好使用的,其他的诸如云诺WPS 等 deb 包软件可以自行安装。
依照惯例,如果没有意外,今年 4 月份 Linux Mint 官方将发布一个 LMDE 201404,届时小编在折腾妥当后再给大家带来一点经验之谈,希望帮助朋友们少走弯路,更好地使用 LMDE。

  1. UP7升UP8居然出现显卡驱动错误。
    重装后UP6升到UP8感觉多了很多多余的东西,gnome-file之类的。最要命是ibus不能显示语言栏,每个词都自动加空格,还是等201402出了后再装一次好了。

  2. 小编,建议修改source.list的时候选择添加额外list的方式,而不是直接在source.list里面修改。可以放到source.list.d里面,这样升级不会被覆盖掉。
    另外添加ppa之后,比较稳妥的办法是用源码编译安装,用apt-get source -b,这样兼容性依赖性比较好,尽管.deb文件在ubuntu上能用在debian上基本也没问题。

  3. 字体配制文件下载链接已经失效了。
    LMDE201403把win下部分字体复制过去 sudo fc-cache -fv后,感觉字体边缘有些发虚。

    • 现在都不需要fc-cache啦,会自动更新的。需要修改字体配置,自己新建一个/etc/fonts/local.conf,内容可以是mint 13或者经过优化的mint 15、16的配置文件。云诺收费了,我没再使用了。我修改一下下载链接

  4. hello, 你好 我在使用这个命令的时候 总是出现要我输入7E5FA1EE 密匙的问题 我是一新菜鸟 请问您知道是怎么回事吗 谢谢

    Executing: gpg –ignore-time-conflict –no-options –no-default-keyring –secret-keyring /tmp/tmp.eQ7etI3w0m –trustdb-name /etc/apt//trustdb.gpg –keyring /etc/apt/trusted.gpg –primary-keyring /etc/apt/trusted.gpg –keyserver keyserver.ubuntu.com –recv-keys 7E5FA1EE
    gpg: demande de la clef 7E5FA1EE sur le serveur hkp keyserver.ubuntu.com

  5. LinuxMint16的KDE版中未预装gimp,手动安装后是英文版,这里有个汉化包:http://yunpan.cn/QIQbHnDSmqUHB。包中文件提取自预装中文版gimp的LinuxMint16MATE版。

    • 不错的办法。其实都是一个个软件包构成的,只要找对那个软件包,问题就迎刃而解了。

  6. 已收藏,用launchpad的ppa源有时太慢了,几百字节上徘徊。用apt-fast同样如此,很是郁闷。

  7. 能介绍一下lmde201403硬盘安装方法吗?ISO中没有了casper文件夹,引导文件不知道用哪个,menu.lst也没知道怎样写了?

Copyright © 薄荷开源网 保留所有权利.   Theme  Ality

用户登录

分享到: